# $Revision: 1.12 $, $Date: 2004/04/10 14:51:57 $
Summary:	A one-time password login package
Summary(pl):	Pakiet logowania do systemu bazujcy na hasach jednorazowego uytku
Name:		otpw
Version:	1.3
Release:	6
Epoch:		1
License:	GPL
Group:		Applications/System
Source0:	http://www.cl.cam.ac.uk/~mgk25/download/%{name}-%{version}.tar.gz
# Source0-md5:	8e72d23714b29e450aeb50c35be67b55
URL:		http://www.cl.cam.ac.uk/~mgk25/otpw.html
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OTPW is a one-time password authentication library and PAM module that
provides a number of advantages over other systems. OTPW uses patent-free
RIPEMD-160 hash function to generate keys and keeps key-related information
in user's home directory so it's no-suid.

This package contains binary programs needed by OTPW to work.

%description -l pl
OTPW jest bibliotek uwierzytelniajc metod hase jednorazowego uytku,
wraz z opcjonalnym moduem PAM, ktry pozwala przeroczycie jej uywa.
OTPW uywa wolnej od ogranicze licencyjnych funkcji skrtu RIPEMD-160
do generowania kluczy, a take przechowuje informacje zwizane z kluczem
w katalogu uytkownika, wic nie potrzebuje nigdzie ustawionego bitu suid.

Ten pakiet zawiera programy binarne potrzebne do dziaania OTPW.

%package examples
Summary:	OTPW - example programs
Summary(pl):	OTPW - programy przykadowe
Group:		Development/Libraries
License:	GPL
Requires:	%{name} = %{epoch}:%{version}

%description examples
OTPW is a one-time password authentication library and PAM module that
provides a number of advantages over other systems. OTPW uses patent-free
RIPEMD-160 hash function to generate keys and keeps key-related information
in user's home directory so it's no-suid.

This package contains example programs, which shows how to integrate
OTPW with own tools.

%description examples -l pl
OTPW jest bibliotek uwierzytelniajc metod hase jednorazowego uytku,
wraz z opcjonalnym moduem PAM, ktry pozwala przeroczycie jej uywa.
OTPW uywa wolnej od ogranicze licencyjnych funkcji skrtu RIPEMD-160
do generowania kluczy, a take przechowuje informacje zwizane z kluczem
w katalogu uytkownika, wic nie potrzebuje nigdzie ustawionego bitu suid.

Ten pakiet zawiera przykadowe programy pokazujce, jak integrowa OTPW
z wasnymi narzdziami.

%package -n pam-pam_otpw
Summary:	PAM module for OTPW
Summary(pl):	Modu PAM dla OTPW
Group:		Base
License:	GPL
Requires:	%{name} = %{epoch}:%{version}
Obsoletes:	pam_otpw

%description -n pam-pam_otpw
OTPW is a one-time password authentication library and PAM module that
provides a number of advantages over other systems. OTPW uses patent-free
RIPEMD-160 hash function to generate keys and keeps key-related information
in user's home directory so it's no-suid.

This package contains PAM module for OTPW.

%description -n pam-pam_otpw -l pl
OTPW jest bibliotek uwierzytelniajc metod hase jednorazowego uytku,
wraz z opcjonalnym moduem PAM, ktry pozwala przeroczycie jej uywa.
OTPW uywa wolnej od ogranicze licencyjnych funkcji skrtu RIPEMD-160
do generowania kluczy, a take przechowuje informacje zwizane z kluczem
w katalogu uytkownika, wic nie potrzebuje nigdzie ustawionego bitu suid.

Ten pakiet zawiera modu PAM dla OTPW.

%prep
%setup -q -n %{name}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/%{_lib}/security}
install -d $RPM_BUILD_ROOT%{_mandir}/{man1,man8}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install %{name}-gen	$RPM_BUILD_ROOT%{_bindir}
install pam_%{name}.so	$RPM_BUILD_ROOT/%{_lib}/security
install *%{name}*.1	$RPM_BUILD_ROOT%{_mandir}/man1
install *%{name}*.8	$RPM_BUILD_ROOT%{_mandir}/man8
install demo*		$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES %{name}.html
%attr(0755,root,root) %{_bindir}/%{name}-gen
%{_mandir}/man1/*%{name}*.1*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files -n pam-pam_otpw
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_%{name}.so
%{_mandir}/man8/*pam*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: otpw.spec,v $
Revision 1.12  2004/04/10 14:51:57  qboosh
- use proper (lib64-aware) dir for PAM module; release 6

Revision 1.11  2004/04/07 15:00:26  adamg
- release 5

Revision 1.10  2004/04/07 14:58:02  adamg
- also pass -fPIC

Revision 1.9  2004/04/07 14:54:03  adamg
- pass CC

Revision 1.8  2003/12/10 11:48:30  mwinkler
- description s/pam_otpw/pam-pam_otpw/

Revision 1.7  2003/11/25 15:40:11  siefca
- added Obsoletes

Revision 1.6  2003/11/25 13:54:54  siefca
- leaded common naming conventions for PAM module packages

Revision 1.5  2003/11/06 15:30:54  siefca
- fixed /lib/security path
- release 3

Revision 1.4  2003/11/06 13:58:12  siefca
- added Epoch mark and fixed Requires in subpackages
- release 2

Revision 1.3  2003/11/06 13:29:22  siefca
- s/license-free/patent-free/ in description

Revision 1.2  2003/11/06 13:00:33  siefca
- fixed mispelled OTWP/OTPW in description
- spec adapterized

Revision 1.1  2003/11/06 12:54:42  siefca
- initial revision
